package com.goer.project.model.modelField.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goer.framework.aspectj.lang.annotation.Excel;
import com.goer.framework.web.domain.BaseEntity;

/**
 * 数据字段对象 t_model_field
 * 
 * @author goer
 * @date 2022-01-17
 */
public class ModelField extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 版本id */
    @Excel(name = "版本id")
    private Long versionId;

    /** 模型对象ID */
    @Excel(name = "模型对象ID")
    private Long projectId;

    /** 表ID */
    @Excel(name = "表ID")
    private Long entityId;
    private String entityCode;
    private String entityName;

    /** 字段名 */
    @Excel(name = "字段名")
    private String fieldName;

    /** 逻辑名 */
    @Excel(name = "逻辑名")
    private String fieldCode;

    /** 类型 */
    @Excel(name = "类型")
    private String fieldType;
    private String fieldTypeCode;

    /** 主键 */
    @Excel(name = "主键")
    private String fieldPk;

    /** 非空 */
    @Excel(name = "非空")
    private String notNull;

    /** 自增 */
    @Excel(name = "自增")
    private String autoIncrement;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defaultValue;

    /** 顺序 */
    @Excel(name = "顺序")
    private Integer fieldSort;
    private String addAfter;

    /** 基版本id */
    @Excel(name = "基版本id")
    private Long parentVersionId;

    public void setId(Long id)
    {
        this.id = id;
    }
    public Long getId()
    {
        return id;
    }

    public void setVersionId(Long versionId)
    {
        this.versionId = versionId;
    }
    public Long getVersionId()
    {
        return versionId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }
    public Long getProjectId()
    {
        return projectId;
    }

    public void setEntityId(Long entityId)
    {
        this.entityId = entityId;
    }
    public Long getEntityId()
    {
        return entityId;
    }

    public void setEntityCode(String entityCode)
    {
        this.entityCode = entityCode;
    }
    public String getEntityCode()
    {
        return entityCode;
    }

    public void setEntityName(String entityName)
    {
        this.entityName = entityName;
    }
    public String getEntityName()
    {
        return entityName;
    }

    public void setFieldName(String fieldName)
    {
        this.fieldName = fieldName;
    }
    public String getFieldName()
    {
        return fieldName;
    }

    public void setFieldCode(String fieldCode)
    {
        this.fieldCode = fieldCode;
    }
    public String getFieldCode()
    {
        return fieldCode;
    }

    public void setFieldType(String fieldType)
    {
        this.fieldType = fieldType;
    }
    public String getFieldType()
    {
        return fieldType;
    }

    public void setFieldTypeCode(String fieldTypeCode)
    {
        this.fieldTypeCode = fieldTypeCode;
    }
    public String getFieldTypeCode()
    {
        return fieldTypeCode;
    }

    public void setFieldPk(String fieldPk)
    {
        this.fieldPk = fieldPk;
    }
    public String getFieldPk()
    {
        return fieldPk;
    }

    public void setNotNull(String notNull)
    {
        this.notNull = notNull;
    }
    public String getNotNull()
    {
        return notNull;
    }

    public void setAutoIncrement(String autoIncrement)
    {
        this.autoIncrement = autoIncrement;
    }
    public String getAutoIncrement()
    {
        return autoIncrement;
    }

    public void setDefaultValue(String defaultValue)
    {
        this.defaultValue = defaultValue;
    }
    public String getDefaultValue()
    {
        return defaultValue;
    }

    public void setFieldSort(Integer fieldSort)
    {
        this.fieldSort = fieldSort;
    }
    public Integer getFieldSort()
    {
        return fieldSort;
    }

    public void setAddAfter(String addAfter)
    {
        this.addAfter = addAfter;
    }
    public String getAddAfter()
    {
        return addAfter;
    }

    public void setParentVersionId(Long parentVersionId)
    {
        this.parentVersionId = parentVersionId;
    }
    public Long getParentVersionId()
    {
        return parentVersionId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("versionId", getVersionId())
            .append("projectId", getProjectId())
            .append("entityId", getEntityId())
            .append("fieldName", getFieldName())
            .append("fieldCode", getFieldCode())
            .append("fieldType", getFieldType())
            .append("fieldPk", getFieldPk())
            .append("notNull", getNotNull())
            .append("autoIncrement", getAutoIncrement())
            .append("defaultValue", getDefaultValue())
            .append("fieldSort", getFieldSort())
            .append("remark", getRemark())
            .append("parentVersionId", getParentVersionId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
